Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MetaClassRegistryChangeEvent

    java.lang.Object
      java.util.EventObject
          groovy.lang.MetaClassRegistryChangeEvent

    public class MetaClassRegistryChangeEvent
    extends java.util.EventObject

An event used to propagate meta class updates

Authors:
  Jochen Theodorou

Constructor Summary
`MetaClassRegistryChangeEvent(java.lang.Object source, java.lang.Object instance, java.lang.Class clazz, MetaClass oldMetaClass, MetaClass newMetaClass)`

Method Summary
`java.lang.Class` | `getClassToUpdate()`
`java.lang.Object` | `getInstance()`
`MetaClass` | `getNewMetaClass()`
`MetaClass` | `getOldMetaClass()`
`MetaClassRegistry` | `getRegistry()`
`boolean` | `isPerInstanceMetaClassChange()`

Methods inherited from class java.util.EventObject
java.util.EventObject#toString(), java.util.EventObject#getSource(), java.util.EventObject#wait(long), java.util.EventObject#wait(long, int), java.util.EventObject#wait(), java.util.EventObject#equals(java.lang.Object), java.util.EventObject#hashCode(), java.util.EventObject#getClass(), java.util.EventObject#notify(), java.util.EventObject#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MetaClassRegistryChangeEvent

    public MetaClassRegistryChangeEvent(java.lang.Object source, java.lang.Object instance, java.lang.Class clazz, MetaClass oldMetaClass, MetaClass newMetaClass)

Method Detail

### getClassToUpdate

    public java.lang.Class getClassToUpdate()

### getInstance

    public java.lang.Object getInstance()

### getNewMetaClass

    public MetaClass getNewMetaClass()

### getOldMetaClass

    public MetaClass getOldMetaClass()

### getRegistry

    public MetaClassRegistry getRegistry()

### isPerInstanceMetaClassChange

    public boolean isPerInstanceMetaClassChange()

Groovy Documentation